Skip to main content
Release VersionRelease DateDescription of Release
1.1.6-beta2023-02-27

The following translations have been added in this release:

  • French text may be translated into English, German, Italian, and Spanish
  • Italian text may be translated into English, German, French, and Spanish
  • Spanish text may be translated into English, German, French, and Italian
  • Chinese (Mandarin) text may be translated into English
1.1.5-beta2022-10-03

The following changes have been made in this release:

  • The maximum number of characters for ITEM_DESCRIPTION is reduced to 20,000, excluding markup/tags
  • German text may be translated into Polish
  • Polish text may be translated into German
  • Updated error message for Error Code 110007
  • Added new Error Code 110008
Short details on the release (e.g., Added new API endpoints for product search).
1.1.4-beta2020-11-10
English text may now be translated into either Portuguese or Russian, and German text can be translated into English
1.1.3-beta2020-07-08
English and German text may now be translated into either French, Italian, or Spanish
1.1.2-beta2020-06-08
Added support for English-to-Japanese translations
1.1.1-beta2020-06-08
  • Updated translation context support
  • Updated text field string length
1.1.0-beta2020-01-14
Added item description for English-to-Chinese translations
1.0.0-beta2019-11-08
Initial API release

1.1.6-beta

The following changes have been made in this release.

New translation support

The following translations are now supported:

  • French into:
    • English
    • German
    • Italian
    • Spanish
  • Italian into:
    • English
    • German
    • French
    • Spanish
  • Spanish into:
    • English
    • German
    • French
    • Italian
  • Chinese (Mandarin) into English

1.1.5-beta

The following changes have been made in this release.

Change in the maximum length of the description

The maximum length of the ITEM_DESCRIPTION had been 100,000 characters, including markup/tags. This maximum has been reduced to 20,000 characters, but markup/tags no longer contribute to this maximum value.

New translation support

The following translations are now supported:

  • German into Polish
  • Polish into German

New enumeration value added

To support the new translations, the following value has been added to the LanguageEnum type:

  • pl (Polish)

Error message updates

The message for the following error code has been updated to:

  • 110007: Markups are not supported in input texts for title translation context.

The following new error code has been added:

  • 110008: Input text missing.

1.1.4-beta

The following changes have been made in this release.

Three new translations supported

English text may now be translated into either Portuguese or Russian. German text may now be translated into English.

New enumeration values added

To support the new translations, the following values were added to the LanguageEnum type:

  • pt (Portuguese)
  • ru (Russian)

1.1.3-beta

The following changes have been made in this release.

Six new translations supported

English and German text may now be translated into either French, Italian, or Spanish.

New enumeration values added

To support the new translations, the following values were added to the LanguageEnum type:

  • fr (French)
  • it (Italian)
  • es (Spanish)

1.1.2-beta

The following changes have been made in this release.

English to Japanese translations now supported

English to Japanese translations are now supported. Since Japanese to English translations were already supported, and ja was already a value in the LanguageEnum type, there were no schema updates necessary for this release.

1.1.1-beta

The following changes have been made in this release.

Updated translation context support

Translations from English to German, and from Japanese to English, now support the ITEM_DESCRIPTION LanguageEnum type.

Updated text field string length

The maximum string length for the ITEM_TITLE enumeration value has been increased to 1,000 characters. The maximum string length for the ITEM_DESCRIPTION enumeration value remains at 100,000 characters.

1.1.0-beta

The following changes have been made in this release.

You can now translate the description of the item from English to Chinese. To support this, the ITEM_DESCRIPTION enumeration value was added to the LanguageEnum type.

1.0.0-beta

The following changes have been made in this release.

<div>
<p>This is the initial release of this API.</p>
<p>There is only one method for the initial release. Use this call to translate strings related to items listed for sale.</p>
<p><code>POST /commerce/translation/v1_beta/translate</code></p>
</div>